<div class="gp-logo">

	<a href="<?php echo apply_filters( 'ghostpool_logo_url', esc_url( home_url( '/' ) ) ); ?>" title="<?php bloginfo( 'name' ); ?>">
		
		<?php if ( ghostpool_option( 'text_logo' ) ) { ?>
			
			<span class="gp-text-logo"><?php echo esc_attr( ghostpool_option( 'text_logo' ) ); ?></span>
		
		<?php } elseif ( ghostpool_option( 'logo', 'standard' ) ) {  ?>
		
			<img src="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo', 'standard' ) ) ); ?>" class="gp-logo-image" data-logo="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo', 'standard' ) ) ); ?>" alt="<?php bloginfo( 'name' ); ?>" width="<?php echo absint( ghostpool_option( 'logo', 'width' ) ); ?>" height="<?php echo absint( ghostpool_option( 'logo', 'height' ) ); ?>"
			
			<?php if ( ghostpool_option( 'logo', 'retina' ) ) { ?>data-logoretina="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo', 'retina' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'logo', 'width' ) ) { ?> data-logowidth="<?php echo absint( ghostpool_option( 'logo', 'width' ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'logo', 'height' ) ) { ?> data-logoheight="<?php echo absint( ghostpool_option( 'logo', 'height' ) ); ?>"<?php } ?>		
			
			<?php if ( ghostpool_option( 'logo_scrolling', 'standard' ) ) { ?> data-scrolling="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo_scrolling', 'standard' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'logo_scrolling', 'retina' ) ) { ?> data-scrollingretina="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo_scrolling', 'retina' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'logo_scrolling', 'width' ) ) { ?> data-scrollingwidth="<?php echo absint( ghostpool_option( 'logo_scrolling', 'width' ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'logo_scrolling', 'height' ) ) { ?> data-scrollingheight="<?php echo absint( ghostpool_option( 'logo_scrolling', 'height' ) ); ?>"<?php } ?>
			
			<?php if ( ghostpool_option( 'logo_overlay', 'standard' ) ) { ?> data-overlay="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo_overlay', 'standard' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'logo_overlay', 'retina' ) ) { ?> data-overlayretina="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo_overlay', 'retina' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'logo_overlay', 'width' ) ) { ?> data-overlaywidth="<?php echo absint( ghostpool_option( 'logo_overlay', 'width' ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'logo_overlay', 'height' ) ) { ?> data-overlayheight="<?php echo absint( ghostpool_option( 'logo_overlay', 'height' ) ); ?>"<?php } ?>
			
			<?php if ( ghostpool_option( 'mobile_logo', 'standard' ) ) { ?> data-mobile="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo', 'standard' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo', 'retina' ) ) { ?>data-mobileretina="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo', 'retina' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo', 'width' ) ) { ?>data-mobilewidth="<?php echo absint( ghostpool_option( 'mobile_logo', 'width' ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo', 'height' ) ) { ?>data-mobileheight="<?php echo absint( ghostpool_option( 'mobile_logo', 'height' ) ); ?>"<?php } ?>

			<?php if ( ghostpool_option( 'mobile_logo_scrolling', 'standard' ) ) { ?> data-mobilescrolling="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo_scrolling', 'standard' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo_scrolling', 'retina' ) ) { ?> data-mobilescrollingretina="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo_scrolling', 'retina' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo_scrolling', 'width' ) ) { ?> data-mobilescrollingwidth="<?php echo absint( ghostpool_option( 'mobile_logo_scrolling', 'width' ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo_scrolling', 'height' ) ) { ?> data-mobilescrollingheight="<?php echo absint( ghostpool_option( 'mobile_logo_scrolling', 'height' ) ); ?>"<?php } ?>
			
			<?php if ( ghostpool_option( 'mobile_logo_overlay', 'standard' ) ) { ?>data-mobileoverlay="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo_overlay', 'standard' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo_overlay', 'retina' ) ) { ?>data-mobileoverlayretina="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo_overlay', 'retina' ) ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo_overlay', 'width' ) ) { ?>data-mobileoverlaywidth="<?php echo absint( ghostpool_option( 'mobile_logo_overlay', 'width' ) ); ?>"<?php } ?>
			<?php if ( ghostpool_option( 'mobile_logo_overlay', 'height' ) ) { ?>data-mobileoverlayheight="<?php echo absint( ghostpool_option( 'mobile_logo_overlay', 'height' ) ); ?>"<?php } ?> />
			
		<?php } ?>

		<?php if ( ghostpool_option( 'logo', 'retina' ) ) { ?>
			<img src="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo', 'retina' ) ) ); ?>" class="gp-hidden" alt="<?php bloginfo( 'name' ); ?>" />
		<?php } ?>			
		<?php if ( ghostpool_option( 'logo_scrolling', 'standard' ) ) { ?>
			<img src="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo_scrolling', 'standard' ) ) ); ?>" class="gp-hidden" alt="<?php bloginfo( 'name' ); ?>" />
		<?php } ?>			
		<?php if ( ghostpool_option( 'logo_scrolling', 'retina' ) ) { ?>
			<img src="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'logo_scrolling', 'retina' ) ) ); ?>" class="gp-hidden" alt="<?php bloginfo( 'name' ); ?>" />
		<?php } ?>
		<?php if ( ghostpool_option( 'mobile_logo', 'retina' ) ) { ?>
			<img src="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo', 'retina' ) ) ); ?>" class="gp-hidden" alt="<?php bloginfo( 'name' ); ?>" />
		<?php } ?>	
		<?php if ( ghostpool_option( 'mobile_logo_scrolling', 'standard' ) ) { ?>
			<img src="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo_scrolling', 'standard' ) ) ); ?>" class="gp-hidden" alt="<?php bloginfo( 'name' ); ?>" />
		<?php } ?>				
		<?php if ( ghostpool_option( 'mobile_logo_scrolling', 'retina' ) ) { ?>
			<img src="<?php echo esc_url( ghostpool_image_url( ghostpool_option( 'mobile_logo_scrolling', 'retina' ) ) ); ?>" class="gp-hidden" alt="<?php bloginfo( 'name' ); ?>" />
		<?php } ?>	
					
	</a>		

</div>